uuid: 109c1b65-5abe-423e-809c-06f75f4c2fe0
langcode: en
status: true
dependencies: {  }
id: localize_d7_node_complete_poll
class: Drupal\node\Plugin\migrate\D7NodeTranslation
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
  - Content
migration_group: group
label: Polls
source:
  plugin: d7_node_complete
  node_type: poll
  high_water_property:
    name: changed
  constants:
    format: basic_html
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: timestamp
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  content_translation_source:
    -
      plugin: get
      source: source_langcode
  comment_node_poll/0/status:
    -
      plugin: get
      source: comment
  upload:
    -
      plugin: sub_process
      source: upload
      process:
        target_id: fid
        display: display
        description: description
  og_group_ref:
    -
      plugin: get
      source: og_group_ref
destination:
  plugin: 'entity_complete:node'
  translations: true
  default_bundle: poll
migration_dependencies:
  required:
    - localize_d7_user
    - localize_d7_node_type
